POST
/
v1
/
data
/
{name}
/
detach
Detach a data volume from a box
curl --request POST \
  --url https://api.example.com/v1/data/{name}/detach \
  --header 'Content-Type: application/json' \
  --data '
{
  "box": "<string>",
  "project": "<string>"
}
'
import requests

url = "https://api.example.com/v1/data/{name}/detach"

payload = {
"box": "<string>",
"project": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({box: '<string>', project: '<string>'})
};

fetch('https://api.example.com/v1/data/{name}/detach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "<string>",
  "id": "<string>",
  "name": "<string>",
  "project": "<string>",
  "status": "<string>",
  "updated_at": "<string>",
  "base": "<string>",
  "config": {
    "cpus": 123,
    "ram_mb": 123,
    "region": "<string>",
    "storage_gb": 123
  },
  "data_mounts": [
    {
      "name": "<string>",
      "ownership": {
        "kind": "persistent"
      },
      "path": "<string>",
      "read_only": true
    }
  ],
  "environment": {},
  "lifecycle": "<string>",
  "pack": "<string>",
  "pack_rev": "<string>",
  "publishes": [
    {
      "host": "<string>",
      "port": 2,
      "public": true,
      "url": "<string>",
      "warning": "<string>"
    }
  ],
  "rollback_to": "<string>",
  "tags": {},
  "termination_grace_period_seconds": 1,
  "url_settings": {
    "auth": "<string>"
  }
}

Path Parameters

name
string
required

Data volume name

Body

application/json
box
string
required
project
string
required

Project of the target box (keys the mount state).

Response

Data detached

created_at
string
required
id
string
required
name
string
required
project
string
required
status
string
required
updated_at
string
required
base
string | null
config
null | object
data_mounts
object[] | null
environment
object | null
lifecycle
string | null

The zpack lifecycle of this instance (dev / deploy), if any (deployment annotation).

pack
string | null

The pack this box is an instance of (from its zpack tag), if any.

pack_rev
string | null

The pinned pack rev the instance was created from (deployment annotation).

publishes
object[] | null
rollback_to
string | null

The previous deploy generation this box rolls back to (deployment annotation).

tags
object | null
termination_grace_period_seconds
integer<int32> | null
Required range: x >= 0
url_settings
null | object